Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003639TestLinkTest Specificationpublic2010-07-30 10:282010-10-09 08:01
Reporteramitkhullar 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 RC 1 
Summary0003639: Test Specification - Option to reorder ALL CHILDREN Test Cases
DescriptionPlease see the screenshot after test cases are imported in TL from XML file.
Steps To ReproduceCreate an XML from existing test suite and then import the same XML in the system and once updated refresh the page it is displayed as in the attached pic with reverse test case order.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon 30-07-2010 3-54-16 PM.png [^] (17,005 bytes) 2010-07-30 10:28

- Relationships

-  Notes
(0010785)
fman (administrator)
2010-08-04 13:44

as usually requested to any user, if possible to submit a detailed explanation instead of just a image ?
(0011344)
JohnE (reporter)
2010-09-14 05:52

I get this problem when importing test cases using XML import.

The test cases are given new unique test cases number, which is correct. The problem is that the test cases are not displayed in the left-hand frame in alphabetical order. Instead the order in the latest instance of this importing is:
3986
4098, 4097, 4096, ... 3987 (decreasing by 1 each test case)
4099, 4100, 4101, ... 4137 (increasing by 1 each test case)

This very inconvenient to sort these in alphabetical order as it involves 111 test cases that need to be moved.
(0011351)
fman (administrator)
2010-09-14 10:43

This can only be done doing a post processign after import has been done.
other solution add a new feature in the test suite 'Order child test cases Alpha mode'
(0011356)
amitkhullar (reporter)
2010-09-14 11:15

Another input on this. When you do play around with the test case specs they tend to display in the asc order as expected but just after import it displays in the desc order only.
(0011358)
fman (administrator)
2010-09-14 15:49

what do you mean by asc Order ?
Alpha ASC ?
(0011359)
fman (administrator)
2010-09-14 18:34

Added option to reorder test cases dictionary
(0011363)
amitkhullar (reporter)
2010-09-15 03:32

Hi Fman,

Asc / Desc order was for the Test Case ID displayed in the tree and not the alphabetical sorting of the tc name. So reopening this issue. Probably this should be an option with the user may be in config file on how he can use the button to order the tc by name or by id using the new order button u have added to the code. Thoughts?

Amit
(0011364)
fman (administrator)
2010-09-15 06:47

I will not waste my time if the issue detail was clear, and the request also.
The less the reporter work the most the developer has to work.
(0011376)
amitkhullar (reporter)
2010-09-15 18:58

I have implemented my comments based on your code and will checkin the functionality in cvs.
(0011377)
amitkhullar (reporter)
2010-09-15 19:15

Checked in the code.
(0011378)
fman (administrator)
2010-09-15 20:07

Please use the standard for identifing BUG ID


WRONG {* --BUG ID 3639 Reorder Test Case-- *}


RIGHT{* -- BUGID 3639 Reorder Test Case -- *}
(0011379)
fman (administrator)
2010-09-15 20:51

refactored
(0011380)
fman (administrator)
2010-09-15 20:53

Use config option $tlCfg->testcase_reorder_by on config.inc.php file
(0011766)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-07-30 10:28 amitkhullar New Issue
2010-07-30 10:28 amitkhullar File Added: 30-07-2010 3-54-16 PM.png
2010-08-04 13:44 fman Note Added: 0010785
2010-08-04 14:37 amitkhullar Steps to Reproduce Updated View Revisions
2010-09-14 05:52 JohnE Note Added: 0011344
2010-09-14 10:43 fman Note Added: 0011351
2010-09-14 11:15 amitkhullar Note Added: 0011356
2010-09-14 15:49 fman Note Added: 0011358
2010-09-14 18:34 fman Note Added: 0011359
2010-09-14 18:34 fman Status new => resolved
2010-09-14 18:34 fman Fixed in Version => 1.9 RC 1
2010-09-14 18:34 fman Resolution open => fixed
2010-09-14 18:34 fman Assigned To => fman
2010-09-15 03:32 amitkhullar Note Added: 0011363
2010-09-15 03:32 amitkhullar Status resolved => assigned
2010-09-15 03:32 amitkhullar Resolution fixed => reopened
2010-09-15 06:47 fman Note Added: 0011364
2010-09-15 18:58 amitkhullar Note Added: 0011376
2010-09-15 18:58 amitkhullar Assigned To fman => amitkhullar
2010-09-15 19:15 amitkhullar Note Added: 0011377
2010-09-15 19:15 amitkhullar Status assigned => resolved
2010-09-15 19:15 amitkhullar Resolution reopened => fixed
2010-09-15 20:07 fman Note Added: 0011378
2010-09-15 20:51 fman Note Added: 0011379
2010-09-15 20:52 fman Assigned To amitkhullar => fman
2010-09-15 20:52 fman Status resolved => assigned
2010-09-15 20:53 fman Severity major => feature request
2010-09-15 20:53 fman Summary Test Cases ordered in Desc Order in Test Specification => Test Specification - Option to reorder ALL CHILDREN Test Cases
2010-09-15 20:53 fman Note Added: 0011380
2010-09-15 20:54 fman Status assigned => resolved
2010-10-09 08:01 fman Note Added: 0011766
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker